Tool: get_dashboard
Use this as the primary tool to retrieve a single specific custom monitoring dashboard from a Google Cloud project using the resource name of the requested dashboard. Custom monitoring dashboards let users view and analyze data from different sources in the same context. This is often used as a follow on to list_dashboards to get full details on a specific dashboard.
The following sample demonstrate how to use curl to invoke the get_dashboard MCP tool.
| Curl Request |
|---|
curl --location 'https://monitoring.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_dashboard", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
The GetDashboard request.
GetDashboardRequest
| JSON representation |
|---|
{ "name": string } |
| Fields | |
|---|---|
name |
Required. The resource name of the Dashboard. The format is one of:
|
Output Schema
A Google Stackdriver dashboard. Dashboards define the content and layout of pages in the Stackdriver web application.
Dashboard
| JSON representation |
|---|
{ "name": string, "displayName": string, "etag": string, "dashboardFilters": [ { object ( |
| Fields | |
|---|---|
name |
Identifier. The resource name of the dashboard. |
displayName |
Required. The mutable, human-readable name. |
etag |
|
dashboardFilters[] |
Filters to reduce the amount of data charted based on the filter criteria. |
labels |
Labels applied to the dashboard An object containing a list of |
annotations |
Configuration for event annotations to display on this dashboard. |
Union field layout. A dashboard's root container element that defines the layout style. layout can be only one of the following: |
|
gridLayout |
Content is arranged with a basic layout that re-flows a simple list of informational elements like widgets or tiles. |
mosaicLayout |
The content is arranged as a grid of tiles, with each content widget occupying one or more grid blocks. |
rowLayout |
The content is divided into equally spaced rows and the widgets are arranged horizontally. |
columnLayout |
The content is divided into equally spaced columns and the widgets are arranged vertically. |
GridLayout
| JSON representation |
|---|
{
"columns": string,
"widgets": [
{
object ( |
| Fields | |
|---|---|
columns |
The number of columns into which the view's width is divided. If omitted or set to zero, a system default will be used while rendering. |
widgets[] |
The informational elements that are arranged into the columns row-first. |
Widget
| JSON representation |
|---|
{ "title": string, "id": string, "visibilityCondition": { object ( |
| Fields | |
|---|---|
title |
Optional. The title of the widget. |
id |
Optional. The widget id. Ids may be made up of alphanumerics, dashes and underscores. Widget ids are optional. |
visibilityCondition |
Optional. If set, this widget is rendered only when the condition is evaluated to true. |
Union field content. Content defines the component used to populate the widget. content can be only one of the following: |
|
xyChart |
A chart of time series data. |
scorecard |
A scorecard summarizing time series data. |
text |
A raw string or markdown displaying textual content. |
blank |
A blank space. |
alertChart |
A chart of alert policy data. |
timeSeriesTable |
A widget that displays time series data in a tabular format. |
collapsibleGroup |
A widget that groups the other widgets. All widgets that are within the area spanned by the grouping widget are considered member widgets. |
logsPanel |
A widget that shows a stream of logs. |
incidentList |
A widget that shows list of incidents. |
pieChart |
A widget that displays timeseries data as a pie chart. |
treemap |
A widget that displays data as a treemap. |
errorReportingPanel |
A widget that displays a list of error groups. |
sectionHeader |
A widget that defines a section header for easier navigation of the dashboard. |
singleViewGroup |
A widget that groups the other widgets by using a dropdown menu. |
filterControl |
A widget that displays an input field to change the value of a template variable. |
XyChart
| JSON representation |
|---|
{ "dataSets": [ { object ( |
| Fields | |
|---|---|
dataSets[] |
Required. The data displayed in this chart. |
timeshiftDuration |
The duration used to display a comparison chart. A comparison chart simultaneously shows values from two similar-length time periods (e.g., week-over-week metrics). The duration must be positive, and it can only be applied to charts with data sets of LINE plot type. A duration in seconds with up to nine fractional digits, ending with ' |
thresholds[] |
Threshold lines drawn horizontally across the chart. |
xAxis |
The properties applied to the x-axis. |
yAxis |
The properties applied to the y-axis. |
y2Axis |
The properties applied to the y2-axis. |
chartOptions |
Display options for the chart. |
DataSet
| JSON representation |
|---|
{ "timeSeriesQuery": { object ( |
| Fields | |
|---|---|
timeSeriesQuery |
Required. Fields for querying time series data from the Stackdriver metrics API. |
plotType |
How this data should be plotted on the chart. |
legendTemplate |
A template string for naming |
minAlignmentPeriod |
Optional. The lower bound on data point frequency for this data set, implemented by specifying the minimum alignment period to use in a time series query. For example, if the data is published once every 10 minutes, the For PromQL queries, this field is used to set the minimum interval for the query A duration in seconds with up to nine fractional digits, ending with ' |
targetAxis |
Optional. The target axis to use for plotting the metric. |
dimensions[] |
Optional. A collection of dimension columns. |
measures[] |
Optional. A collection of measures. |
breakdowns[] |
Optional. The collection of breakdowns to be applied to the dataset. |
sort[] |
Optional. A collection of sort options, affects the order of the data and legend. |
TimeSeriesQuery
| JSON representation |
|---|
{ "unitOverride": string, "outputFullDuration": boolean, // Union field |
| Fields | |
|---|---|
unitOverride |
The unit of data contained in fetched time series. If non-empty, this unit will override any unit that accompanies fetched data. The format is the same as the |
outputFullDuration |
Optional. If set, Cloud Monitoring will treat the full query duration as the alignment period so that there will be only 1 output value. *Note: This could override the configured alignment period except for the cases where a series of data points are expected, like - XyChart - Scorecard's spark chart |
Union field source. Parameters needed to obtain data for the chart. source can be only one of the following: |
|
timeSeriesFilter |
Filter parameters to fetch time series. |
timeSeriesFilterRatio |
Parameters to fetch a ratio between two time series filters. |
timeSeriesQueryLanguage |
A query used to fetch time series with MQL. |
prometheusQuery |
A query used to fetch time series with PromQL. |
opsAnalyticsQuery |
Preview: A query used to fetch a time series, category series, or numeric series with SQL. This is a preview feature and may be subject to change before final release. |
TimeSeriesFilter
| JSON representation |
|---|
{ "filter": string, "aggregation": { object ( |
| Fields | |
|---|---|
filter |
Required. The monitoring filter that identifies the metric types, resources, and projects to query. |
aggregation |
By default, the raw time series data is returned. Use this field to combine multiple time series for different views of the data. |
secondaryAggregation |
Apply a second aggregation after |
Union field output_filter. Selects an optional time series filter. output_filter can be only one of the following: |
|
pickTimeSeriesFilter |
Ranking based time series filter. |
statisticalTimeSeriesFilter |
Statistics based time series filter. Note: This field is deprecated and completely ignored by the API. |
Aggregation
| JSON representation |
|---|
{ "alignmentPeriod": string, "perSeriesAligner": enum ( |
| Fields | |
|---|---|
alignmentPeriod |
The The value must be at least 60 seconds. If a per-series aligner other than The maximum value of the A duration in seconds with up to nine fractional digits, ending with ' |
perSeriesAligner |
An Not all alignment operations may be applied to all time series. The valid choices depend on the Time series data must be aligned in order to perform cross-time series reduction. If |
crossSeriesReducer |
The reduction operation to be used to combine time series into a single time series, where the value of each data point in the resulting series is a function of all the already aligned values in the input time series. Not all reducer operations can be applied to all time series. The valid choices depend on the Time series data must first be aligned (see |
groupByFields[] |
The set of fields to preserve when |
Duration
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Signed seconds of the span of time. Must be from -315,576,000,000 to +315,576,000,000 inclusive. Note: these bounds are computed from: 60 sec/min * 60 min/hr * 24 hr/day * 365.25 days/year * 10000 years |
nanos |
Signed fractions of a second at nanosecond resolution of the span of time. Durations less than one second are represented with a 0 |
PickTimeSeriesFilter
| JSON representation |
|---|
{ "rankingMethod": enum ( |
| Fields | |
|---|---|
rankingMethod |
|
numTimeSeries |
How many time series to allow to pass through the filter. |
direction |
How to use the ranking to select time series that pass through the filter. |
interval |
Select the top N streams/time series within this time interval |
Interval
| JSON representation |
|---|
{ "startTime": string, "endTime": string } |
| Fields | |
|---|---|
startTime |
Optional. Inclusive start of the interval. If specified, a Timestamp matching this interval will have to be the same or after the start. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
endTime |
Optional. Exclusive end of the interval. If specified, a Timestamp matching this interval will have to be before the end. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
StatisticalTimeSeriesFilter
| JSON representation |
|---|
{
"rankingMethod": enum ( |
| Fields | |
|---|---|
rankingMethod |
|
numTimeSeries |
How many time series to output. |
TimeSeriesFilterRatio
| JSON representation |
|---|
{ "numerator": { object ( |
| Fields | |
|---|---|
numerator |
The numerator of the ratio. |
denominator |
The denominator of the ratio. |
secondaryAggregation |
Apply a second aggregation after the ratio is computed. |
Union field output_filter. Selects an optional filter that is applied to the time series after computing the ratio. output_filter can be only one of the following: |
|
pickTimeSeriesFilter |
Ranking based time series filter. |
statisticalTimeSeriesFilter |
Statistics based time series filter. Note: This field is deprecated and completely ignored by the API. |
RatioPart
| JSON representation |
|---|
{
"filter": string,
"aggregation": {
object ( |
| Fields | |
|---|---|
filter |
Required. The monitoring filter that identifies the metric types, resources, and projects to query. |
aggregation |
By default, the raw time series data is returned. Use this field to combine multiple time series for different views of the data. |
OpsAnalyticsQuery
| JSON representation |
|---|
{ "sql": string } |
| Fields | |
|---|---|
sql |
A SQL query to fetch time series, category series, or numeric series data. |
Dimension
| JSON representation |
|---|
{ "column": string, "columnType": string, "maxBinCount": integer, "sortOrder": enum ( |
| Fields | |
|---|---|
column |
Required. For widgets that use SQL queries, set the value to the name of the column in the results table whose data is charted. For a histogram that uses a time series query, set the value of this field to |
columnType |
Optional. The type of the dimension column. This is relevant only if one of the bin_size fields is set. If it is empty, the type TIMESTAMP or INT64 will be assumed based on which bin_size field is set. If populated, this should be set to one of the following types: DATE, TIME, DATETIME, TIMESTAMP, BIGNUMERIC, INT64, NUMERIC, FLOAT64. |
maxBinCount |
For widgets that use SQL queries, the limit to the number of bins to generate. When 0 is specified, the maximum count is not enforced. For a histogram that uses a time series query, the exact number of bins to generate. If not specified or the value is 0, then the histogram determines the number of bins to use. |
sortOrder |
The sort order applied to the sort column. |
sortColumn |
The column name to sort on for binning. This column can be the same column as this dimension or any other column used as a measure in the results. If |
Union field bin_size. The values of bin_size are used to configure the grouping of points for the dimension specified by the column field. bin_size can be only one of the following: |
|
timeBinSize |
A duration in seconds with up to nine fractional digits, ending with ' |
numericBinSize |
|
floatBinSize |
Optional. |
Measure
| JSON representation |
|---|
{
"column": string,
"aggregationFunction": {
object ( |
| Fields | |
|---|---|
column |
Required. The column name within in the dataset used for the measure. |
aggregationFunction |
Required. The aggregation function applied to the input column. This must not be set to |
AggregationFunction
| JSON representation |
|---|
{
"type": string,
"parameters": [
{
object ( |
| Fields | |
|---|---|
type |
Required. The type of aggregation function, must be one of the following:
|
parameters[] |
Optional. Parameters applied to the aggregation function. Only used for functions that require them. |
Parameter
| JSON representation |
|---|
{ // Union field |
| Fields | |
|---|---|
Union field value. Parameter value. value can be only one of the following: |
|
intValue |
An integer parameter value. |
doubleValue |
A floating-point parameter value. |
Breakdown
| JSON representation |
|---|
{ "column": string, "limit": integer, "aggregationFunction": { object ( |
| Fields | |
|---|---|
column |
Required. The name of the column in the dataset containing the breakdown values. |
limit |
Required. A limit to the number of breakdowns. If set to zero then all possible breakdowns are applied. The list of breakdowns is dependent on the value of the |
aggregationFunction |
Required. The Aggregation function is applied across all data in each breakdown created. |
sortOrder |
Required. The sort order is applied to the values of the breakdown column. |
ColumnSortingOptions
| JSON representation |
|---|
{
"column": string,
"direction": enum ( |
| Fields | |
|---|---|
column |
Optional. Column name to sort data by |
direction |
Optional. A sorting direction that determines ascending or descending order. This is a legacy field kept for backwards compatibility with table. |
Threshold
| JSON representation |
|---|
{ "label": string, "value": number, "color": enum ( |
| Fields | |
|---|---|
label |
A label for the threshold. |
value |
The value of the threshold. The value should be defined in the native scale of the metric. |
color |
The state color for this threshold. Color is not allowed in a XyChart. |
direction |
The direction for the current threshold. Direction is not allowed in a XyChart. |
targetAxis |
The target axis to use for plotting the threshold. Target axis is not allowed in a Scorecard. |
Axis
| JSON representation |
|---|
{
"label": string,
"scale": enum ( |
| Fields | |
|---|---|
label |
The label of the axis. |
scale |
The axis scale. By default, a linear scale is used. |
ChartOptions
| JSON representation |
|---|
{
"mode": enum ( |
| Fields | |
|---|---|
mode |
The chart mode. |
displayHorizontal |
Preview: Configures whether the charted values are shown on the horizontal or vertical axis. By default, values are represented the vertical axis. This is a preview feature and may be subject to change before final release. |
Scorecard
| JSON representation |
|---|
{ "timeSeriesQuery": { object ( |
| Fields | |
|---|---|
timeSeriesQuery |
Required. Fields for querying time series data from the Stackdriver metrics API. |
thresholds[] |
The thresholds used to determine the state of the scorecard given the time series' current value. For an actual value x, the scorecard is in a danger state if x is less than or equal to a danger threshold that triggers below, or greater than or equal to a danger threshold that triggers above. Similarly, if x is above/below a warning threshold that triggers above/below, then the scorecard is in a warning state - unless x also puts it in a danger state. (Danger trumps warning.) As an example, consider a scorecard with the following four thresholds: Then: values less than or equal to 10 would put the scorecard in a DANGER state, values greater than 10 but less than or equal to 20 a WARNING state, values strictly between 20 and 70 an OK state, values greater than or equal to 70 but less than 90 a WARNING state, and values greater than or equal to 90 a DANGER state. |
dimensions[] |
Optional. A dimension is a structured label, class, or category for a set of measurements in your data. |
measures[] |
Optional. A measure is a measured value of a property in your data. For example, rainfall in inches, number of units sold, revenue gained, etc. |
breakdowns[] |
Optional. The collection of breakdowns to be applied to the dataset. A breakdown is a way to slice the data. For example, you can break down the data by region. |
Union field data_view. Defines the optional additional chart shown on the scorecard. If neither is included - then a default scorecard is shown. data_view can be only one of the following: |
|
gaugeView |
Will cause the scorecard to show a gauge chart. |
sparkChartView |
Will cause the scorecard to show a spark chart. |
blankView |
Will cause the |
GaugeView
| JSON representation |
|---|
{ "lowerBound": number, "upperBound": number } |
| Fields | |
|---|---|
lowerBound |
The lower bound for this gauge chart. The value of the chart should always be greater than or equal to this. |
upperBound |
The upper bound for this gauge chart. The value of the chart should always be less than or equal to this. |
SparkChartView
| JSON representation |
|---|
{
"sparkChartType": enum ( |
| Fields | |
|---|---|
sparkChartType |
Required. The type of sparkchart to show in this chartView. |
minAlignmentPeriod |
The lower bound on data point frequency in the chart implemented by specifying the minimum alignment period to use in a time series query. For example, if the data is published once every 10 minutes it would not make sense to fetch and align data at one minute intervals. This field is optional and exists only as a hint. For PromQL queries, this field is used to set the minimum interval for the query A duration in seconds with up to nine fractional digits, ending with ' |
Text
| JSON representation |
|---|
{ "content": string, "format": enum ( |
| Fields | |
|---|---|
content |
The text content to be displayed. |
format |
How the text content is formatted. |
style |
How the text is styled |
TextStyle
| JSON representation |
|---|
{ "backgroundColor": string, "textColor": string, "horizontalAlignment": enum ( |
| Fields | |
|---|---|
backgroundColor |
The background color as a hex string. "#RRGGBB" or "#RGB" |
textColor |
The text color as a hex string. "#RRGGBB" or "#RGB" |
horizontalAlignment |
The horizontal alignment of both the title and content |
verticalAlignment |
The vertical alignment of both the title and content |
padding |
The amount of padding around the widget |
fontSize |
Font sizes for both the title and content. The title will still be larger relative to the content. |
pointerLocation |
The pointer location for this widget (also sometimes called a "tail") |
AlertChart
| JSON representation |
|---|
{ "name": string } |
| Fields | |
|---|---|
name |
Required. The resource name of the alert policy. The format is: |
TimeSeriesTable
| JSON representation |
|---|
{ "dataSets": [ { object ( |
| Fields | |
|---|---|
dataSets[] |
Required. The data displayed in this table. |
metricVisualization |
Optional. Store rendering strategy |
columnSettings[] |
Optional. The list of the persistent column settings for the table. |
TableDataSet
| JSON representation |
|---|
{ "timeSeriesQuery": { object ( |
| Fields | |
|---|---|
timeSeriesQuery |
Required. Fields for querying time series data from the Stackdriver metrics API. |
tableTemplate |
Optional. A template string for naming |
minAlignmentPeriod |
Optional. The lower bound on data point frequency for this data set, implemented by specifying the minimum alignment period to use in a time series query For example, if the data is published once every 10 minutes, the A duration in seconds with up to nine fractional digits, ending with ' |
tableDisplayOptions |
Optional. Table display options for configuring how the table is rendered. |
TableDisplayOptions
| JSON representation |
|---|
{ "shownColumns": [ string ] } |
| Fields | |
|---|---|
shownColumns[] |
Optional. This field is unused and has been replaced by TimeSeriesTable.column_settings |
ColumnSettings
| JSON representation |
|---|
{ "column": string, "visible": boolean, "alignment": enum ( |
| Fields | |
|---|---|
column |
Required. The id of the column. |
visible |
Required. Whether the column should be visible on page load. |
alignment |
Optional. Whether the column should be left / middle / right aligned |
displayName |
Optional. Display name of the column |
thresholds[] |
Optional. The thresholds used to determine how the table cell should be rendered given the time series' current value. |
CollapsibleGroup
| JSON representation |
|---|
{ "collapsed": boolean } |
| Fields | |
|---|---|
collapsed |
The collapsed state of the widget on first page load. |
LogsPanel
| JSON representation |
|---|
{ "filter": string, "resourceNames": [ string ] } |
| Fields | |
|---|---|
filter |
A filter that chooses which log entries to return. See Advanced Logs Queries. Only log entries that match the filter are returned. An empty filter matches all log entries. |
resourceNames[] |
The names of logging resources to collect logs for. Currently projects and storage views are supported. If empty, the widget will default to the host project. |
IncidentList
| JSON representation |
|---|
{
"monitoredResources": [
{
object ( |
| Fields | |
|---|---|
monitoredResources[] |
Optional. The monitored resource for which incidents are listed. The resource doesn't need to be fully specified. That is, you can specify the resource type but not the values of the resource labels. The resource type and labels are used for filtering. |
policyNames[] |
Optional. A list of alert policy names to filter the incident list by. Don't include the project ID prefix in the policy name. For example, use |
MonitoredResource
| JSON representation |
|---|
{ "type": string, "labels": { string: string, ... } } |
| Fields | |
|---|---|
type |
Required. The monitored resource type. This field must match the |
labels |
Required. Values for all of the labels listed in the associated monitored resource descriptor. For example, Compute Engine VM instances use the labels An object containing a list of |
LabelsEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
PieChart
| JSON representation |
|---|
{ "dataSets": [ { object ( |
| Fields | |
|---|---|
dataSets[] |
Required. The queries for the chart's data. |
chartType |
Required. Indicates the visualization type for the PieChart. |
showLabels |
Optional. Indicates whether or not the pie chart should show slices' labels |
PieChartDataSet
| JSON representation |
|---|
{ "timeSeriesQuery": { object ( |
| Fields | |
|---|---|
timeSeriesQuery |
Required. The query for the PieChart. See, |
sliceNameTemplate |
Optional. A template for the name of the slice. This name will be displayed in the legend and the tooltip of the pie chart. It replaces the auto-generated names for the slices. For example, if the template is set to |
minAlignmentPeriod |
Optional. The lower bound on data point frequency for this data set, implemented by specifying the minimum alignment period to use in a time series query. For example, if the data is published once every 10 minutes, the A duration in seconds with up to nine fractional digits, ending with ' |
dimensions[] |
A dimension is a structured label, class, or category for a set of measurements in your data. |
measures[] |
A measure is a measured value of a property in your data. For example, rainfall in inches, number of units sold, revenue gained, etc. |
Treemap
| JSON representation |
|---|
{
"dataSets": [
{
object ( |
| Fields | |
|---|---|
dataSets[] |
Required. The collection of datasets used to construct and populate the treemap. For the rendered treemap rectangles:
|
treemapHierarchy[] |
Required. Ordered labels representing the hierarchical treemap structure. |
TreemapDataSet
| JSON representation |
|---|
{ "timeSeriesQuery": { object ( |
| Fields | |
|---|---|
timeSeriesQuery |
Required. The query that fetches the relevant data. See |
measures[] |
Optional. A collection of measures. A measure is a measured value of a property in your data. For example, rainfall in inches, number of units sold, revenue gained, etc. |
breakdowns[] |
Optional. The collection of breakdowns to be applied to the dataset. A breakdown is a way to slice the data. For example, you can break down the data by region. |
ErrorReportingPanel
| JSON representation |
|---|
{ "projectNames": [ string ], "services": [ string ], "versions": [ string ] } |
| Fields | |
|---|---|
projectNames[] |
The resource name of the Google Cloud Platform project. Written as Examples: |
services[] |
An identifier of the service, such as the name of the executable, job, or Google App Engine service name. This field is expected to have a low number of values that are relatively stable over time, as opposed to Contains the service name for error reports extracted from Google App Engine logs or |
versions[] |
Represents the source code version that the developer provided, which could represent a version label or a Git SHA-1 hash, for example. For App Engine standard environment, the version is set to the version of the app. |
SectionHeader
| JSON representation |
|---|
{ "subtitle": string, "dividerBelow": boolean } |
| Fields | |
|---|---|
subtitle |
The subtitle of the section |
dividerBelow |
Whether to insert a divider below the section in the table of contents |
SingleViewGroup
| JSON representation |
|---|
{
"displayType": enum ( |
| Fields | |
|---|---|
displayType |
Optional. Determines how the widget selector will be displayed. |
FilterControl
| JSON representation |
|---|
{ "templateVariable": string } |
| Fields | |
|---|---|
templateVariable |
Name of the template variable the widget affects. |
VisibilityCondition
| JSON representation |
|---|
{
"templateVariableCondition": {
object ( |
| Fields | |
|---|---|
templateVariableCondition |
A condition whose evaluation is based on the value of a template variable. |
TemplateVariableCondition
| JSON representation |
|---|
{
"templateVariable": string,
"templateVariableValue": string,
"comparator": enum ( |
| Fields | |
|---|---|
templateVariable |
The template variable whose value is evaluated. |
templateVariableValue |
The value to compare the template variable to. For example, if the comparator is REGEX_FULL_MATCH, this field should contain a regex. |
comparator |
Comparator to use to evaluate whether the value of the template variable matches the template_variable_value. For example, if the comparator is REGEX_FULL_MATCH, template_variable_value would contain a regex that is matched against the value of the template variable. |
MosaicLayout
| JSON representation |
|---|
{
"columns": integer,
"tiles": [
{
object ( |
| Fields | |
|---|---|
columns |
The number of columns in the mosaic grid. The number of columns must be between 1 and 48, inclusive. |
tiles[] |
The tiles to display. |
Tile
| JSON representation |
|---|
{
"xPos": integer,
"yPos": integer,
"width": integer,
"height": integer,
"widget": {
object ( |
| Fields | |
|---|---|
xPos |
The zero-indexed position of the tile in grid blocks relative to the left edge of the grid. Tiles must be contained within the specified number of columns. |
yPos |
The zero-indexed position of the tile in grid blocks relative to the top edge of the grid. |
width |
The width of the tile, measured in grid blocks. Tiles must have a minimum width of 1. |
height |
The height of the tile, measured in grid blocks. Tiles must have a minimum height of 1. |
widget |
The informational widget contained in the tile. For example an |
RowLayout
| JSON representation |
|---|
{
"rows": [
{
object ( |
| Fields | |
|---|---|
rows[] |
The rows of content to display. |
Row
| JSON representation |
|---|
{
"weight": string,
"widgets": [
{
object ( |
| Fields | |
|---|---|
weight |
The relative weight of this row. The row weight is used to adjust the height of rows on the screen (relative to peers). Greater the weight, greater the height of the row on the screen. If omitted, a value of 1 is used while rendering. |
widgets[] |
The display widgets arranged horizontally in this row. |
ColumnLayout
| JSON representation |
|---|
{
"columns": [
{
object ( |
| Fields | |
|---|---|
columns[] |
The columns of content to display. |
Column
| JSON representation |
|---|
{
"weight": string,
"widgets": [
{
object ( |
| Fields | |
|---|---|
weight |
The relative weight of this column. The column weight is used to adjust the width of columns on the screen (relative to peers). Greater the weight, greater the width of the column on the screen. If omitted, a value of 1 is used while rendering. |
widgets[] |
The display widgets arranged vertically in this column. |
DashboardFilter
| JSON representation |
|---|
{ "labelKey": string, "templateVariable": string, "valueType": enum ( |
| Fields | |
|---|---|
labelKey |
Optional. The key for the label. This must be omitted if the filter_type is VALUE_ONLY but is required otherwise. |
templateVariable |
The placeholder text that can be referenced in a filter string or MQL query. If omitted, the dashboard filter will be applied to all relevant widgets in the dashboard. |
valueType |
The type of the filter value. If value_type is not provided, it will be inferred from the default_value. If neither value_type nor default_value is provided, value_type will be set to STRING by default. |
filterType |
The specified filter type |
Union field default_value. The default value used in the filter comparison default_value can be only one of the following: |
|
stringValue |
A variable-length string value. If this field is set, value_type must be set to STRING or VALUE_TYPE_UNSPECIFIED |
stringArrayValue |
An array of variable-length string values. If this field is set, value_type must be set to STRING_ARRAY or VALUE_TYPE_UNSPECIFIED |
Union field value_source. A definition of the set of valid values for the filter. This is optional but recommended for VALUE_ONLY filters. For other filter types, the set of valid values will be inferred from the charted data. value_source can be only one of the following: |
|
timeSeriesQuery |
A query to run to fetch possible values for the filter. Only OpsAnalyticsQueries are supported |
stringArray |
A list of possible string values for the filter |
StringArray
| JSON representation |
|---|
{ "values": [ string ] } |
| Fields | |
|---|---|
values[] |
The values of the array |
LabelsEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
DashboardAnnotations
| JSON representation |
|---|
{
"defaultResourceNames": [
string
],
"eventAnnotations": [
{
object ( |
| Fields | |
|---|---|
defaultResourceNames[] |
Dashboard level defaults for names of logging resources to search for events. Currently only projects are supported. Each individual |
eventAnnotations[] |
List of annotation configurations for this dashboard. Each entry specifies one event type. |
EventAnnotation
| JSON representation |
|---|
{
"displayName": string,
"eventType": enum ( |
| Fields | |
|---|---|
displayName |
Solely for UI display. Should not be used programmatically. |
eventType |
The type of event to display. |
filter |
string filtering the events - event dependant. Example values: |
enabled |
Whether or not to show the events on the dashboard by default |
resourceNames[] |
Per annotation level override for the names of logging resources to search for events. Currently only projects are supported. If both this field and the per annotation field is empty, it will default to the host project. Limit: 50 projects. For example: |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌